Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Enum Class EMFCompareStructureMergeViewerContentProvider.CallbackType

java.lang.Object
java.lang.Enum<EMFCompareStructureMergeViewerContentProvider.CallbackType>
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.EMFCompareStructureMergeViewerContentProvider.CallbackType

All Implemented Interfaces:
  `Serializable`, `Comparable<EMFCompareStructureMergeViewerContentProvider.CallbackType>`, `java.lang.constant.Constable`

Enclosing class:
  `EMFCompareStructureMergeViewerContentProvider`

public static enum EMFCompareStructureMergeViewerContentProvider.CallbackType extends Enum<EMFCompareStructureMergeViewerContentProvider.CallbackType>
Enum used for better readability of the method `EMFCompareStructureMergeViewerContentProvider.runWhenReady(CallbackType, Runnable)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IN_CURRENT_THREAD`
Run the runnable in the current thread.
`IN_UI_ASYNC`
Run the runnable in the UI thread asynchronously.
`IN_UI_SYNC`
Run the runnable in the UI thread synchronously.

## Method Summary

Modifier and Type
Method
Description
`static EMFCompareStructureMergeViewerContentProvider.CallbackType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EMFCompareStructureMergeViewerContentProvider.CallbackType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IN_UI_SYNC

public static final EMFCompareStructureMergeViewerContentProvider.CallbackType IN_UI_SYNC
Run the runnable in the UI thread synchronously.

### IN_UI_ASYNC

public static final EMFCompareStructureMergeViewerContentProvider.CallbackType IN_UI_ASYNC
Run the runnable in the UI thread asynchronously.

### IN_CURRENT_THREAD

public static final EMFCompareStructureMergeViewerContentProvider.CallbackType IN_CURRENT_THREAD
Run the runnable in the current thread.

## Method Details

### values

public static EMFCompareStructureMergeViewerContentProvider.CallbackType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EMFCompareStructureMergeViewerContentProvider.CallbackType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null